Main Page Widgets Namespaces Book

# Atk::Document Class Reference

Inheritance diagram for Atk::Document:

[legend]

List of all members.

## Detailed Description

The ATK interface which allows access to a DOM associated with on object.

This interface should be supported by any object that has an associated document object model (DOM). This interface provides the standard mechanism allowing an assistive technology access to the DOM.

## Public Member Functions

gpointer | get_document ()
| Gets a gpointer that points to an instance of the DOM.
Glib::ustring | get_document_type () const
| Gets a string indicating the document type.
const AtkDocument* | gobj () const
| Provides access to the underlying C GObject.
AtkDocument* | gobj ()
| Provides access to the underlying C GObject.
virtual | ~Document ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual const gchar* | get_document_type_vfunc ()
virtual gpointer | get_document_vfunc () const

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Atk::Document> | wrap (AtkDocument* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Atk::Document::~Document | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Atk::Document::add_interface | ( | GType | gtype_implementer | ) | `[static]`

gpointer Atk::Document::get_document | ( |  | ) |

Gets a gpointer that points to an instance of the DOM.

It is up to the caller to check atk_document_get_type to determine how to cast this pointer.

Returns:
  A gpointer that points to an instance of the DOM.

Glib::ustring Atk::Document::get_document_type | ( |  | ) | const

Gets a string indicating the document type.

Returns:
  A string indicating the document type.

virtual const gchar* Atk::Document::get_document_type_vfunc | ( |  | ) | `[protected, virtual]`

virtual gpointer Atk::Document::get_document_vfunc | ( |  | ) | const`[protected, virtual]`

const AtkDocument* Atk::Document::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

AtkDocument* Atk::Document::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Document> wrap | ( | AtkDocument * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- document.h